/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct SvcChgMethod {
    #[serde(rename = "SvcChgMethodOpt", skip_serializing_if = "Option::is_none")]
    pub svc_chg_method_opt: Option<String>,
    #[serde(rename = "SvcChgMethodType", skip_serializing_if = "Option::is_none")]
    pub svc_chg_method_type: Option<String>,
}

impl SvcChgMethod {
    pub fn new() -> SvcChgMethod {
        SvcChgMethod {
            svc_chg_method_opt: None,
            svc_chg_method_type: None,
        }
    }
}
